/// How to calculate the standard deviation.
///
/// The [`Default`] is [`StandardDeviationMode::Sample`].
///
/// # Further Reading
///
/// For more information, see [the Wikipedia
/// article](https://en.wikipedia.org/wiki/Standard_deviation).
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum StandardDeviationMode {
    /// Calculate **population** standard deviation.
    Population,

    /// Calculate **sample** standard deviation.
    Sample,
}

impl Default for StandardDeviationMode {
    fn default() -> Self {
        Self::Sample
    }
}
